Bug 51884 - REGRESSION(r74971): [Qt] /editing/selection/caret-bidi-first-and-last-letters.html fails
Summary: REGRESSION(r74971): [Qt] /editing/selection/caret-bidi-first-and-last-letters...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: HTML Editing (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords: Qt, QtTriaged
Depends on: 76821
Blocks: 79666
  Show dependency treegraph
 
Reported: 2011-01-04 10:45 PST by Ryosuke Niwa
Modified: 2012-10-09 02:09 PDT (History)
9 users (show)

See Also:


Attachments
Patch (1.36 KB, patch)
2012-10-04 14:39 PDT, Tullio Lucena
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryosuke Niwa 2011-01-04 10:45:38 PST
/editing/selection/caret-bidi-first-and-last-letters.html was added in http://trac.webkit.org/changeset/74971 but has been failing on Qt.

--- /home/webkitbuildbot/slaves/release32bit/buildslave/qt-linux-release/build/layout-test-results/editing/selection/caret-bidi-first-and-last-letters-expected.txt	2011-01-04 09:42:44.743789754 -0800
+++ /home/webkitbuildbot/slaves/release32bit/buildslave/qt-linux-release/build/layout-test-results/editing/selection/caret-bidi-first-and-last-letters-actual.txt	2011-01-04 09:42:44.743789754 -0800
@@ -3,8 +3,8 @@
 Clicking the first letter of RTL text in a LTR block
 PASS
 Clicking the last letter of RTL text in a LTR block
-PASS
+FAIL: wrong offset 5, expected 7
 Clicking the first letter of LTR text in a RTL block
 PASS
 Clicking the last letter of LTR text in a RTL block
-PASS
+FAIL: wrong container
Comment 1 Ryosuke Niwa 2011-01-04 10:56:53 PST
The test is passing on all other platforms so I suspect that it's to do with Qt DRT.
Comment 2 Ryosuke Niwa 2011-01-04 11:04:21 PST
Committed r74976: <http://trac.webkit.org/changeset/74976>
Comment 3 Ryosuke Niwa 2011-01-04 11:05:51 PST
Oops, I didn't meant to close the bug.
Comment 4 WebKit Review Bot 2011-01-04 12:02:50 PST
http://trac.webkit.org/changeset/74976 might have broken Leopard Intel Debug (Tests)
Comment 5 Yael 2011-01-26 08:52:00 PST
This is a font issue.
I commented out DumpRenderTree::initializeFonts() and the test is passing.
Comment 6 Rafael Brandao 2012-01-24 14:29:53 PST
It seems that Jesus's patch for bug #76821 will solve this failure.
Comment 7 Balazs Kelemen 2012-01-26 07:22:37 PST
It's still failing. See: https://bugs.webkit.org/show_bug.cgi?id=77102
Comment 8 Tor Arne Vestbø 2012-05-15 07:04:20 PDT
Still fails for Qt, 32-bit Linux release, passes on Qt Mac.
Comment 9 Tor Arne Vestbø 2012-05-15 07:05:23 PDT
 Clicking the first letter of RTL text in a LTR block
-PASS
+FAIL: wrong offset 4, expected 0
 Clicking the last letter of RTL text in a LTR block
-PASS
+FAIL: wrong offset 4, expected 7
 Clicking the first letter of LTR text in a RTL block
-PASS
+FAIL: wrong container
 Clicking the last letter of LTR text in a RTL block
-PASS
+FAIL: wrong container
Comment 10 Tullio Lucena 2012-10-04 14:39:20 PDT
Created attachment 167177 [details]
Patch

Unskipping test.

With this change [1] in testfonts, this test pass.

[1] https://gitorious.org/qtwebkit/testfonts/merge_requests/1
Comment 11 Ryosuke Niwa 2012-10-04 17:27:30 PDT
Comment on attachment 167177 [details]
Patch

rs=me.
Comment 12 WebKit Review Bot 2012-10-09 02:09:34 PDT
Comment on attachment 167177 [details]
Patch

Clearing flags on attachment: 167177

Committed r130741: <http://trac.webkit.org/changeset/130741>
Comment 13 WebKit Review Bot 2012-10-09 02:09:39 PDT
All reviewed patches have been landed.  Closing bug.